## deluge 1.3.10

=== debian/changelog ===
deluge (1.3.10-3+deb8u1) jessie-security; urgency=medium

  * CVE-2017-7178 / new directory traversal (currently CVE-less)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 17 May 2017 19:01:06 +0200

deluge (1.3.10-3) unstable; urgency=medium

  * Fix permissions on /var/lib/deluged/config/ in
    deluged.postinst and properly remove all
    dpkg-statoverrides in deluged.postrm (Closes: #770628).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 15 Feb 2015 11:14:44 -0500

deluge (1.3.10-2) unstable; urgency=high

  * debian/patches/disable_SSLv3_rpcserver.patch:
   - Disable SSLv3 for the RPCserver as Debian now
     builds OpenSSL without SSLv3 support altogether.
     Closes: #765765
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add full text of the CC-BY-3.0 to debian/copyright

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 26 Oct 2014 12:18:29 -0400

deluge (1.3.10-1) unstable; urgency=medium

  * New upstream bugfix release. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 15 Oct 2014 21:23:51 -0400

deluge (1.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Use "canonical" URLs in the Vcs-* fields.
  * Update "Format" URL in debian/copyright.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 05 Oct 2014 11:27:46 -0400

deluge (1.3.7-1) unstable; urgency=medium

  * New upstream release (Closes: #759217).
  * Add myself as an uploader.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Drop fix_plugins_tabs.patch, AutoExtractor_fix.patch,
    and Fix-twisted-13.1-compat.patch. All applied upstream.
  * deluged.postinst: Fix permissions on /var/lib/deluged
    Closes: #732596 Thanks to Diederik de Haas!

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sat, 30 Aug 2014 20:20:56 -0700

deluge (1.3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/patches/Fix-twisted-13.1-compat.patch: Backport
    upstream commits fixing Blocklist plugin incompatibility
    with twisted 13.1 (Closes: #729929). 
  * debian/patches/AutoExtractor_fix.patch: Fixes AutoExtractor
    Plugin failing to extract files with periods. Backported
    from upstream.
  * debian/patches/fix_plugins_tabs.patch: Fix issue with
    Plugins that add Tabs to torrentdetails. Backported from
    upstream.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 17 Feb 2014 13:37:12 -0500

deluge (1.3.6-1) experimental; urgency=low

  * New upstream version.

 -- Cristian Greco <cristian@debian.org>  Wed, 19 Jun 2013 21:29:53 +0200

=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Cristian Greco <cristian@debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends-Indep: debhelper (>= 7.3.13),
                     intltool,
                     python (>= 2.6.6-3~),
                     python-setuptools (>= 0.6c9),
                     unzip
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/collab-maint/deluge.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deluge.git
Homepage: http://www.deluge-torrent.org/
X-Python-Version: >= 2.5

Package: deluge-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python (>= 2.6) | python-simplejson,
         python-twisted-web,
         python-openssl,
         python-pkg-resources,
         python-chardet,
         python-xdg,
         geoip-database
Breaks: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK (common files)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains data files commons to both the daemon and the
 various user-interfaces.

Package: deluged
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version}),
         python-libtorrent (>= 0.14.9),
         adduser,
         lsb-base (>= 3.2-14)
Description: bittorrent client written in Python/PyGTK (daemon)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to run the daemon application on a remote
 server and connect to it from any user-interface.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-console
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version})
Description: bittorrent client written in Python/PyGTK (console ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains the console user-interface.

Package: deluge-web
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version}),
         python-mako
Breaks: deluge-webui (<< 1.2.0~rc1-1)
Replaces: deluge-webui (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK (web ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package on a remote server running the deluge
 daemon (package deluged).
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-gtk
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         deluge-common (= ${source:Version}),
         python-glade2,
         python-notify,
         notification-daemon,
         librsvg2-common,
         xdg-utils
Breaks: deluge (<< 1.2.0-1)
Replaces: deluge (<< 1.2.0-1)
Recommends: python-pygame
Description: bittorrent client written in Python/PyGTK (GTK+ ui)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use the Deluge GTK+ user-interface
 as a thin client and connect to a remote daemon.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-libtorrent (>= 0.14.9),
         deluge-gtk (= ${source:Version})
Breaks: deluge-common (<< 1.2.0~rc1-1)
Replaces: deluge-common (<< 1.2.0~rc1-1)
Description: bittorrent client written in Python/PyGTK
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the bittorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use Deluge in classic mode,
 which means the daemon and the GTK+ user-interface are linked together.

Package: deluge-webui
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, deluge-web
Description: bittorrent client (web ui transitional package)
 This is a transitional dummy package to ensure clean upgrades from old
 releases (the package deluge-webui is replaced by deluge-web). If nothing
 depends on it, this package can be safely removed after upgrade.

Package: deluge-torrent
Section: oldlibs
Priority: extra
Architecture: all
Depends: ${misc:Depends}, deluge
Description: bittorrent client (gtk ui transitional package)
 This is a transitional dummy package to ensure clean upgrades from old
 releases (the package deluge-torrent is replaced by deluge). If nothing
 depends on it, this package can be safely removed after upgrade.

## deluge 1.3.11

=== debian/changelog ===
deluge (1.3.11-0ubuntu2) vivid; urgency=medium

  * Import changes from Debian Testing:
   - Fix permissions on /var/lib/deluged/config/ in
     deluged.postinst and properly remove all
     dpkg-statoverrides in deluged.postrm.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 05 Apr 2015 10:59:46 -0400

deluge (1.3.11-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Drop disable_SSLv3_rpcserver.patch, applied upstream.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 14 Dec 2014 20:16:28 -0500

deluge (1.3.10-2ubuntu1) vivid; urgency=medium

  * Explicitly recommend python-appindicator to ensure
    panel indicator is available (LP: #1384508).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 16 Nov 2014 20:46:35 -0500

## deluge 1.3.12

=== debian/changelog ===
deluge (1.3.12-1ubuntu1) wily; urgency=medium

  * Import new upstream release from Debian unstable.
    Remaining Ubuntu changes:
   - Explicitly recommend python-appindicator to ensure
     panel indicator is available (LP: #1384508).

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Fri, 18 Sep 2015 22:28:47 -0400

deluge (1.3.12-1) unstable; urgency=medium

  * New upstream release.
  * Drop disable_SSLv3_rpcserver.patch, applied upstream.
  * Include full source copies of minified js files in
    the "debian/missing-sources" directory (Closes: #787550).
  * revert-erroneous-commit.patch: Revert erroneous fix
    backported from develop branch.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 18 Sep 2015 21:34:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
 Build-Depends-Indep: debhelper (>= 7.3.13),
                      intltool,
@@ -108,7 +109,7 @@
          xdg-utils
 Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
-Recommends: python-pygame
+Recommends: python-appindicator, python-pygame
 Description: bittorrent client written in Python/PyGTK (GTK+ ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple

## deluge 1.3.13

=== debian/changelog ===
deluge (1.3.13-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Wed, 02 Nov 2016 19:17:14 -0500

deluge (1.3.13-1) unstable; urgency=medium

  * New upstream release (Closes: #838640).
  * Remove revert-erroneous-commit.patch, applied upstream.
  * Bump Standards-Version to 3.8.8, no changes needed.
  * Remove unused license stanza in debian/control.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 28 Oct 2016 13:09:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
 XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
+Bugs: mailto: v3g4n@mxlinux.org
 Build-Depends-Indep: debhelper (>= 7.3.13),
                      intltool,
                      python (>= 2.6.6-3~),
                      python-setuptools (>= 0.6c9),
                      unzip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/collab-maint/deluge.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/
@@ -109,7 +110,7 @@
          xdg-utils
 Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
-Recommends: python-appindicator, python-pygame
+Recommends: python-pygame
 Description: bittorrent client written in Python/PyGTK (GTK+ ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple

## deluge 1.3.13+git20161130.48cedf63

=== debian/changelog ===
deluge (1.3.13+git20161130.48cedf63-3) unstable; urgency=high

  * Check if template files exist and raise 404 if not
    in order to protect webui against directory traversal
    (Closes: #862611).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 15 May 2017 20:09:48 -0400

deluge (1.3.13+git20161130.48cedf63-2) unstable; urgency=high

  * webui-csrf.patch: Only accept application/json content-type
    requests (Closes: #857903). Protects against CSRF.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 19 Mar 2017 13:37:10 -0400

deluge (1.3.13+git20161130.48cedf63-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #835049) (LP: #1633785). 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 30 Nov 2016 20:21:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: deluge
 Section: net
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
-XSBC-Original-Maintainer: Cristian Greco <cristian@debian.org>
+Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Bugs: mailto: v3g4n@mxlinux.org
 Build-Depends-Indep: debhelper (>= 7.3.13),
                      intltool,
                      python (>= 2.6.6-3~),

## deluge 1.3.15

=== debian/changelog ===
deluge (1.3.15-2) unstable; urgency=medium

  * Backport upstream patch fixing bug preventing
    the Preferences dialog from opening in some
    cases (Closes: #870247).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 31 Jul 2017 20:13:14 -0400

deluge (1.3.15-1) unstable; urgency=medium

  [ Andrew Starr-Bochicchio ]
  * New upstream release (Closes: #857357).
  * debian/control: Updated dependency from python-twisted-web
    to python-twisted-core (Closes: #808226). Thanks to
    Diederik de Haas.
  * Drop webui-csrf.patch and protect_dir_traversal.patch,
    applied upstream.

  [ Unit 193 <unit193@ubuntu.com> ]
  * Bump Standards-Version to 4.0.0.
  * d/compat, d/control: Bump debhelper compat to 10.
  * d/control, d/rules: Override dh_gencontrol to recommend
   python-appindicator if on Ubuntu (Closes: #863288).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Thu, 13 Jul 2017 20:35:08 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends-Indep: debhelper (>= 7.3.13),
+Build-Depends-Indep: debhelper (>= 10),
+                     dh-python,
                      intltool,
                      python (>= 2.6.6-3~),
                      python-setuptools (>= 0.6c9),
                      unzip
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: git://anonscm.debian.org/collab-maint/deluge.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deluge.git
 Homepage: http://www.deluge-torrent.org/
@@ -18,7 +19,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
          python (>= 2.6) | python-simplejson,
-         python-twisted-web,
+         python-twisted-core,
          python-openssl,
          python-pkg-resources,
          python-chardet,
@@ -108,7 +109,7 @@
          xdg-utils
 Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
-Recommends: python-pygame
+Recommends: ${dist:Recommends}, python-pygame
 Description: bittorrent client written in Python/PyGTK (GTK+ ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	SUBSTVARS = -Vdist:Recommends="python-appindicator"
endif

%:
	dh $@ --with python2

override_dh_auto_build:
	python setup.py build

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	set -ex; \
	cd debian/tmp/usr/lib/python2.*/*-packages/deluge/plugins/; \
	for egg in *.egg; do \
		mkdir -p $${egg%-py2.*}.egg; \
		unzip $$egg -d $${egg%-py2.*}.egg; \
		rm -f $$egg; \
	done

override_dh_auto_clean:
	dh_auto_clean
	find . -type d -name '*.egg-info' | xargs rm -rf
	rm -f deluge/data/share/applications/deluge.desktop

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

## deluge 2.0.3

=== debian/changelog ===
deluge (2.0.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for ngettext KeyError during deluge-console
    startup. (Closes: #988345)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 14:57:18 +0300

deluge (2.0.3-3) unstable; urgency=low

  [ Federico Ceratto ]
  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Bump debhelper from old 10 to 13.
  * Set debhelper-compat version in Build-Depends.

  [ Andrew Starr-Bochicchio ]
  * debian/control: Add explict depends on python3-libtorrent
    to deluge-console (Closes: #964168).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 27 Jul 2020 18:33:26 -0400

deluge (2.0.3-2) unstable; urgency=medium

  * debian/control:
   - Update version dependency on python3-libtorrent
     to >= 1.1.2.0 (Closes: #950573).
   - Drop transitional packages deluge-torrent and
     deluge-webui (Closes: #878385).
   - Bump Standards-Version to 4.5.0.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 09 Mar 2020 21:09:37 -0400

deluge (2.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload to allow migration to Testing.

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 22 Oct 2019 22:23:47 -0400

deluge (2.0.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

  [ Andrew Starr-Bochicchio ]
  * d/watch: Update for 2.X location.
  * New upstream release (Closes: #930549, #934603).
   - Ported to Python 3 and GTK+ 3.
  * d/control:
   - Update dependencies for Python 3 and GTK+ 3
     (Closes: #935213, #885880, #912482).
   - Add gir1.2-appindicator3-0.1 recommends.
  * d/patches:
   - Drop fix_pref_show.patch and refresh.
   - Drop vendor-specific patch series file and patch.
  * d/rules:
   - Update for Python 3 build.
   - Disable tests pending pytest-twisted upload.
   - Drop Ubuntu-specific dependency injection.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 25 Aug 2019 14:56:38 -0400

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,34 @@
 Priority: optional
 Maintainer: Cristian Greco <cristian@debian.org>
 Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
-Build-Depends-Indep: debhelper (>= 10),
-                     dh-python,
+Build-Depends-Indep: dh-python,
                      intltool,
-                     python (>= 2.6.6-3~),
-                     python-setuptools (>= 0.6c9),
+                     python3-all,
+                     python3-setuptools,
+                     python3-wheel,
                      unzip
-Standards-Version: 4.0.0
-Vcs-Git: git://anonscm.debian.org/collab-maint/deluge.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/deluge.git
-Homepage: http://www.deluge-torrent.org/
-X-Python-Version: >= 2.5
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/debian/deluge.git
+Vcs-Browser: https://salsa.debian.org/debian/deluge
+Homepage: https://www.deluge-torrent.org/
+Build-Depends: debhelper-compat (= 13)
 
 Package: deluge-common
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
-         python (>= 2.6) | python-simplejson,
-         python-twisted-core,
-         python-openssl,
-         python-pkg-resources,
-         python-chardet,
-         python-xdg,
-         geoip-database
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-six,
+         python3-twisted (>= 11.1),
+         python3-openssl,
+         python3-pkg-resources,
+         python3-chardet,
+         python3-xdg,
+         python3-rencode
+Recommends: python3-setproctitle,
+            python3-pil,
+            python3-geoip,
+            geoip-database,
+            python3-dbus
 Breaks: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
 Replaces: deluge-torrent-common (<< 1.0.7.dfsg-1), deluge-torrent (<< 1.0.7.dfsg-1), deluge-core (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK (common files)
@@ -42,9 +48,10 @@
 
 Package: deluged
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
          deluge-common (= ${source:Version}),
-         python-libtorrent (>= 0.14.9),
+         python3-libtorrent (>= 1.1.2),
          adduser,
          lsb-base (>= 3.2-14)
 Description: bittorrent client written in Python/PyGTK (daemon)
@@ -63,7 +70,9 @@
 
 Package: deluge-console
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-libtorrent (>= 1.1.2),
          deluge-common (= ${source:Version})
 Description: bittorrent client written in Python/PyGTK (console ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
@@ -79,9 +88,10 @@
 
 Package: deluge-web
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
          deluge-common (= ${source:Version}),
-         python-mako
+         python3-mako
 Breaks: deluge-webui (<< 1.2.0~rc1-1)
 Replaces: deluge-webui (<< 1.2.0~rc1-1)
 Description: bittorrent client written in Python/PyGTK (web ui)
@@ -100,16 +110,20 @@
 
 Package: deluge-gtk
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends},
+         ${python3:Depends},
          deluge-common (= ${source:Version}),
-         python-glade2,
-         python-notify,
-         notification-daemon,
+         python3-gi,
+         python3-gi-cairo,
+         gir1.2-gtk-3.0,
+         libnotify4,
          librsvg2-common,
          xdg-utils
 Breaks: deluge (<< 1.2.0-1)
 Replaces: deluge (<< 1.2.0-1)
-Recommends: ${dist:Recommends}, python-pygame
+Recommends: ${dist:Recommends},
+            gir1.2-appindicator3-0.1,
+            python3-pygame
 Description: bittorrent client written in Python/PyGTK (GTK+ ui)
  Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
  using libtorrent-rasterbar in it's backend and featuring multiple
@@ -126,8 +140,9 @@
 
 Package: deluge
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
-         python-libtorrent (>= 0.14.9),
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-libtorrent (>= 1.1.2),
          deluge-gtk (= ${source:Version})
 Breaks: deluge-common (<< 1.2.0~rc1-1)
 Replaces: deluge-common (<< 1.2.0~rc1-1)
@@ -143,23 +158,3 @@
  .
  You may want to install this package to use Deluge in classic mode,
  which means the daemon and the GTK+ user-interface are linked together.
-
-Package: deluge-webui
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, deluge-web
-Description: bittorrent client (web ui transitional package)
- This is a transitional dummy package to ensure clean upgrades from old
- releases (the package deluge-webui is replaced by deluge-web). If nothing
- depends on it, this package can be safely removed after upgrade.
-
-Package: deluge-torrent
-Section: oldlibs
-Priority: extra
-Architecture: all
-Depends: ${misc:Depends}, deluge
-Description: bittorrent client (gtk ui transitional package)
- This is a transitional dummy package to ensure clean upgrades from old
- releases (the package deluge-torrent is replaced by deluge). If nothing
- depends on it, this package can be safely removed after upgrade.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	set -ex; \
	cd debian/tmp/usr/lib/python*/*-packages/deluge/plugins/; \
	for egg in *.egg; do \
		mkdir -p $${egg%-py?.*}.egg; \
		unzip $$egg -d $${egg%-py?.*}.egg; \
		rm -f $$egg; \
	done
	find . -type d -name '__pycache__' | xargs rm -rf

override_dh_auto_clean:
	dh_auto_clean
	find . -type d -name '*.egg-info' | xargs rm -rf
	find . -type d -name '.eggs' | xargs rm -rf
	find . -type d -wholename './deluge/plugins/*/build' | xargs rm -rf
	rm -f deluge/data/share/applications/deluge.desktop

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

=== debian/watch ===
version=3
opts="uversionmangle=s/_rc/~rc/" \
 http://download.deluge-torrent.org/source/2.0/deluge-([\d\.]*(?:_rc\d)?)\.tar\.xz

## deluge 2.0.5-0~202202181752~ubuntu20.04.1+10.0trisquel1

=== requirements.txt ===
twisted[tls]>=17.1
rencode
pyopenssl
pyxdg
pillow
mako
chardet
six
setproctitle
pywin32; sys_platform == 'win32'
certifi; sys_platform == 'win32'
windows-curses; sys_platform == 'win32'
zope.interface>=4.4.2
distro; 'linux' in sys_platform or 'bsd' in sys_platform

=== docs/requirements.txt ===
sphinx==4.*
myst-parser
sphinx_rtd_theme
sphinxcontrib-spelling

=== debian/changelog ===
deluge (2.0.5-0~202202181752~ubuntu20.04.1+10.0trisquel1) nabia-backports; urgency=medium

  * Imported to Trisquel from oficial PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 19 Feb 2022 17:29:09 +0000

deluge (2.0.5-0~202202181752~ubuntu20.04.1) focal; urgency=low

  * Auto build.

 -- Cas <calumlind@gmail.com>  Fri, 18 Feb 2022 17:52:21 +0000

deluge (2.0.0dev0) unstable; urgency=low

  * 2.0 development

 -- Calum Lind <calumlind@gmail.com>  Thu, 21 Jul 2016 12:09:39 +0100

=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Calum Lind <calumlind@gmail.com>
Build-Depends-Indep:
   debhelper (>=9),
   dh-python,
   intltool,
   python3-all,
   python3-setuptools,
   python3-wheel,
   closure-compiler,
   unzip
Standards-Version: 4.0.0
Vcs-Git:  https://git.launchpad.net/~calumlind/+git/lp_deluge_deb
Vcs-Browser: https://code.launchpad.net/~calumlind/+git/lp_deluge_deb
Homepage: https://www.deluge-torrent.org

Package: deluge-common
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   python3-six,
   python3-twisted (>= 11.1),
   python3-openssl,
   python3-pkg-resources,
   python3-chardet,
   python3-xdg,
   python3-rencode
Recommends:
   python3-setproctitle,
   python3-pil,
   python3-geoip,
   geoip-database,
   python3-dbus
Description: Deluge Common Files
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains data files common to both the daemon and the
 various user-interfaces.

Package: deluged
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-libtorrent (>= 1.1.1)
Description: Deluge Daemon (deluged)
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to run the daemon application on a remote
 server and connect to it from any user-interface.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-console
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version})
Description: Deluge Console UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 This package contains the console user-interface.

Package: deluge-web
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-mako
Breaks: deluge-web (<< 1.3.0)
Replaces: deluge-web (<< 1.3.0)
Description: Deluge Web UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package on a remote server running the deluge
 daemon (package deluged).
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge-gtk
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   deluge-common (= ${source:Version}),
   python3-gi,
   python3-gi-cairo,
   gir1.2-gtk-3.0,
   librsvg2-common,
   xdg-utils
Breaks: deluge-gtk (<< 1.3.0)
Replaces: deluge-gtk (<< 1.3.0)
Recommends: gir1.2-appindicator3-0.1, python3-pygame, libnotify4
Description: Deluge GTK UI
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use the Deluge GTK+ user-interface
 as a thin client and connect to a remote daemon.
 See: <URL:http://dev.deluge-torrent.org/wiki/UserGuide/ThinClient>

Package: deluge
Architecture: all
Depends:
   ${misc:Depends},
   ${python3:Depends},
   python3-libtorrent (>= 1.1.1),
   deluge-gtk (= ${source:Version})
Breaks: deluge-common (<< 1.3.0)
Replaces: deluge-common (<< 1.3.0)
Description: Deluge BitTorrent Client
 Deluge is a full-featured, multi-platform, multi-interface BitTorrent client
 using libtorrent-rasterbar in it's backend and featuring multiple
 user-interfaces: GTK+, web and console.
 .
 It has been designed using the client-server model with a daemon process that
 handles all the BitTorrent activity. The Deluge daemon is able to run on
 headless machines with the user-interfaces being able to connect remotely
 from any platform.
 .
 You may want to install this package to use Deluge in standalone mode,
 which means the daemon and the GTK+ user-interface are linked together.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=nocheck

%:
	dpkg-parsechangelog --show-field Version | cut -f1 -d'-' > RELEASE-VERSION
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	set -ex; \
	cd debian/tmp/usr/lib/python*/*-packages/deluge/plugins/; \
	for egg in *.egg; do \
		mkdir -p $${egg%-py?.*}.egg; \
		unzip $$egg -d $${egg%-py?.*}.egg; \
		rm -f $$egg; \
	done

## deluge 2.0.5-0~202202181912~ubuntu18.04.1+9.0trisquel1

=== debian/changelog ===
deluge (2.0.5-0~202202181912~ubuntu18.04.1+9.0trisquel1) etiona-backports; urgency=medium

  * Imported to Trisquel from oficial PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 19 Feb 2022 00:38:30 +0000

deluge (2.0.5-0~202202181912~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Cas <calumlind@gmail.com>  Fri, 18 Feb 2022 19:12:54 +0000

## deluge 2.1.1

=== debian/changelog ===
deluge (2.1.1-3) experimental; urgency=medium

  * Uploading to experimental.
  * Adding note about CVE-2021-3427 to changelog for 2.1.1-1 upload.
  * Removing cruft from rules file.
  * Removing gir1.2-appindicator3-0.1 from recommends as it's been
    replaced with ayatana indicators which is currently not supported.
  * Removing superseeded deluged initscript (Closes: #760235).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 24 Feb 2023 16:19:08 +0100

deluge (2.1.1-2) experimental; urgency=medium

  * Uploading to experimental.
  * Correcting function typo in deluged postrm script.
  * Silencing user and group removals in deluged postrm.
  * Also creating deluged group if needed in deluged postinst script.
  * Using variables for username and groupname in maintainer scripts.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Feb 2023 18:09:47 +0100

deluge (2.1.1-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 2.1.1 (Closes: #1026291):
    - fixes XSS vulnerability through a crafted torrent file.
      The the data from torrent files is not properly sanitised as it's
      interpreted directly as HTML. Someone who supplies the user with a
      malicious torrent file can execute arbitrary Javascript code in the
      context of the user's browser session [CVE-2021-3427] (Closes: #1019594).
  * Updating to standards version 4.6.2.
  * Adding Rules-Required-Root field.
  * Updating vcs fields.
  * Updating homepage field.
  * Wrap-and-sorting debian directory.
  * Removing pre-bullseye package relations.
  * Reworking package descriptions.
  * Updating copyright for machine-readable format.
  * Reworking maintainer scripts.
  * Switching from adduser to using required utilities from shadow
    directly.
  * Removing pre-stretch news file.
  * Updating watch file.
  * Reworking rules file.
  * Refreshing release-check.patch.
  * Removing Fix-warning-related-to-gettext.patch, included upstream.
  * Refreshing setuptools-60.patch.
  * Refreshing systemd.patch.
  * Removing obsole menu file.
  * Adding todo file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Feb 2023 17:47:05 +0100

deluge (2.0.3-4) sid; urgency=medium

  * Uploading to sid.
  * Adopting package (Closes: #995078).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 19 Feb 2023 15:54:32 +0100

deluge (2.0.3-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install upstream-supplied systemd unit files. (Closes: #927197, #966287)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 30 Jan 2023 23:15:03 +0000

deluge (2.0.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools >= 60. (Closes: #1022491)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Nov 2022 22:37:10 +0200

=== debian/control ===
Source: deluge
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dh-python,
 intltool,
 python3-all,
 python3-setuptools,
 python3-wheel,
 unzip,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://deluge-torrent.org
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/deluge

Package: deluge
Architecture: all
Depends:
 deluge-gtk (= ${source:Version}),
 python3-libtorrent,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (metapackage)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluge-daemon running on a server:
 .
   * deluge-gtk: graphical UI using GTK
   * deluge-console: text UI using ncurses
   * deluge-web: web frontend
 .
 This package is a metapackage depending on the graphical UI and the
 daemon for running deluge on a single machine.

Package: deluge-common
Architecture: all
Depends:
 python3-chardet,
 python3-openssl,
 python3-pkg-resources,
 python3-rencode,
 python3-six,
 python3-twisted,
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 geoip-database,
 python3-dbus,
 python3-geoip,
 python3-pil,
 python3-setproctitle,
Description: multi-interface BitTorrent client (common)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the shared files between the clients and the server.

Package: deluge-console
Architecture: all
Depends:
 deluge-common (= ${source:Version}),
 python3-libtorrent,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (text UI)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the text user-interface (ncurses).

Package: deluge-gtk
Architecture: all
Depends:
 deluge-common (= ${source:Version}),
 gir1.2-gtk-3.0,
 libnotify4,
 librsvg2-common,
 python3-gi,
 python3-gi-cairo,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-pygame,
 ${dist:Recommends},
Description: multi-interface BitTorrent client (graphical UI)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the graphical user-interface (GTK).

Package: deluge-web
Architecture: all
Depends:
 deluge-common (= ${source:Version}),
 python3-mako,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (web frontend)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the web frontend.

Package: deluged
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 deluge-common (= ${source:Version}),
 lsb-base,
 python3-libtorrent,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-interface BitTorrent client (server)
 Deluge is a BitTorrent client written in Python. It uses a client-server
 model supporting multiple user-interfaces that can connect to a
 (headless) deluged running on a server.
 .
 This package contains the server.

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e

%:
	dh ${@} --buildsystem=pybuild --with=python3

execute_after_dh_auto_test:
	find . -type d -name '*.egg-info' | xargs rm -rf
	find . -type d -name '.eggs' | xargs rm -rf
	find . -type d -wholename './deluge/plugins/*/build' | xargs rm -rf

	rm -f deluge/data/share/applications/deluge.desktop

override_dh_auto_build:
	python3 setup.py build

override_dh_auto_test:
	# disabled

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb

	cd debian/tmp/usr/lib/python*/*-packages/deluge/plugins/; \
	for EGG in *.egg; \
	do \
		mkdir -p $${EGG%-py?.*}.egg; \
		unzip $${EGG} -d $${EGG%-py?.*}.egg; \
		rm -f $${EGG}; \
	done

	find . -type d -name '__pycache__' | xargs rm -rf

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/deluge-$1\.tar\.gz/ \
https://github.com/deluge-torrent/deluge/tags .*/v?(\d\S+)\.tar\.gz

## deluge 2.1.1-0~202207101304~ubuntu18.04.1%2B9.0trisquel1

=== debian/changelog ===
deluge (2.1.1-0~202207101304~ubuntu18.04.1+9.0trisquel1) etiona-backports; urgency=medium

  * Imported to Trisquel from oficial PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jul 2022 18:37:35 +0000

deluge (2.1.1-0~202207101304~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Cas <calumlind@gmail.com>  Sun, 10 Jul 2022 13:04:20 +0000
